<link rel="import" href="chrome://resources/polymer/v1_0/polymer/polymer.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-flex-layout/classes/iron-flex-layout.html">
<link rel="import" href="chrome://resources/polymer/v1_0/neon-animation/neon-animatable.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-radio-button/paper-radio-button.html">
<link rel="import" href="chrome://md-settings/on_startup_page/startup_urls_page.html">
<link rel="import" href="chrome://md-settings/radio_group/radio_group.html">
<link rel="import" href="chrome://md-settings/settings_page/settings_animated_pages.html">
<link rel="import" href="chrome://md-settings/settings_page/settings_subheader.html">

<dom-module id="cr-settings-on-startup-page">
  <link rel="import" type="css"
      href="chrome://md-settings/settings_page/settings_page.css">
  <link rel="import" type="css" href="on_startup_shared.css">
  <template>
    <cr-settings-animated-pages id="pages" current-route="{{currentRoute}}"
        section="on-startup">
      <neon-animatable id="">
        <div id="locationLabel" i18n-content="onStartup"></div>
        <div>
          <cr-settings-radio-group pref="{{prefs.session.restore_on_startup}}">
            <paper-radio-button name="[[prefValues_.OPEN_NEW_TAB]]"
                i18n-content="onStartupOpenNewTab">
            </paper-radio-button>
            <paper-radio-button name="[[prefValues_.CONTINUE]]"
                i18n-content="onStartupContinue">
            </paper-radio-button>
            <paper-radio-button name="[[prefValues_.OPEN_SPECIFIC]]">
              <span i18n-content="onStartupOpenSpecific"></span>
            </paper-radio-button>
          </cr-settings-radio-group>
          <paper-button
              on-tap="onSetPagesTap_" raised i18n-content="onStartupSetPages">
          </paper-button>
        </div>
      </neon-animatable>
      <neon-animatable id="startup-urls">
        <settings-subheader i18n-values="page-title:onStartupSetPages">
        </settings-subheader>
        <cr-settings-startup-urls-page prefs="{{prefs}}">
        </cr-settings-startup-urls-page>
      </neon-animatable>
    </cr-settings-animated-pages>
  </template>
  <script src="on_startup_page.js"></script>
</dom-module>
